<?php

namespace Drupal\auctioneer_commerce;

use Drupal\auctioneer\Entity\AuctionTypeInterface;

/**
 * Provides managing service for auction commerce integration.
 */
interface AuctionCommerceManagerInterface {

  /**
   * Initialize required commerce configurations for a given auction type.
   *
   * @param \Drupal\auctioneer\Entity\AuctionTypeInterface $auction_type
   *   The auction type entity object.
   * @param bool $lock_fields
   *   Boolean telling if fields should be locked.
   */
  public function initializeAuctionTypeCommerceConfigurations(AuctionTypeInterface $auction_type, bool $lock_fields = TRUE);

  /**
   * Check if commerce settings are enabled.
   *
   * @param \Drupal\auctioneer\Entity\AuctionTypeInterface $auction_type
   *   The auction type entity object.
   */
  public function isCommerceEnabled(AuctionTypeInterface $auction_type) : bool;

}
